Page MenuHomePhabricator

Newcomer tasks: panel should be behind other editing dialogs
Closed, ResolvedPublic

Description

During the newcomer's experience with guidance, there are times that other dialogs will be open along with the help panel. In those cases, we want the help panel to be behind the other dialogs. We have decided to fix this with z-indexes. Here are two examples of the order being opposite from what we want in beta:

Image selection

Edit summary

Event Timeline

Tgr claimed this task.Jun 5 2020, 8:50 AM

Change 602623 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@master] Revert "Increase help panel z-index"

https://gerrit.wikimedia.org/r/602623

Change 602623 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Revert "Increase help panel z-index"

https://gerrit.wikimedia.org/r/602623

Checked in betalabs - works as expected (also checked for arwiki betalabs and IE11/Edge browsers).
The screenshots for the cases in the task description:

An additional case with inserting a template:

And a case when another popup is present (Content translation popup):

For @RHo review
(1) VE tool bar stays in plays when a page is scrolled down, so some of the VE drop down menus might interfere with the Guidance/Help panel:


(2) LInk inspector might present the same problem as the menus from (1):

(3) the Guidance panel shifts every time when VE produces a popup:
(click for the animated gif)

Note: To have an option to close the Guidance/Help panel from any state (the 'X' button) would be convenient.

[..]
For @RHo review
(1) VE tool bar stays in plays when a page is scrolled down, so some of the VE drop down menus might interfere with the Guidance/Help panel:

Moving back to fix so that all drop downs from the VE toolbar appear above the panel. See another example where the Bullet list is almost entirely obscured behind the help panel.

(2) LInk inspector might present the same problem as the menus from (1):

Given that one of the easy tasks is Add a link, in my opinion we should have the add/check link popup appear over the help panel as well. See below another example with the add link pop-up almost entirely obscured by the panel.

Moving back to Needs More Work unless @MMiller_WMF you would prefer to file separate bugs to fix [1] and [2]?

(3) the Guidance panel shifts every time when VE produces a popup:
(click for the animated gif)

  • This is minor so I have file as a separate low bug at T255421

Note: To have an option to close the Guidance/Help panel from any state (the 'X' button) would be convenient.

Agree, the proposal to do so is on T255254

Tgr added a comment.Jun 15 2020, 2:30 PM

#bodyContent is its own stacking context (and within that, the VE surface too). Stacking the help panel between differents part of the editable area is not possible.

The VE toolbar is also its own stacking context, so if the help panel stacks under dropdown menus in the toolbar, it will stack under the entire toolbar, too. That would require lowering z-index to 1; not sure what other side effects that would have.

MMiller_WMF closed this task as Resolved.Jun 16 2020, 9:38 PM

Thanks, @Tgr. Given this technical limitation, I am going to resolve this task as sufficient for our current needs. That said, this issue may come back as we build "add a link", which will involve our features pointing out and interacting closely with the visual editor.